Bug 595391 - security domain session table should be moved to ldap
Summary: security domain session table should be moved to ldap
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Cloning (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Ade Lee
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 445047
TreeView+ depends on / blocked
 
Reported: 2010-05-24 14:11 UTC by Ade Lee
Modified: 2015-01-06 01:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 20:08:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix (23.35 KB, patch)
2010-06-07 16:12 UTC, Ade Lee
no flags Details | Diff

Description Ade Lee 2010-05-24 14:11:03 UTC
Description of problem:

This is the last piece in ensuring that a clone of a security domain master is a master.  Because this session table is held in memory currently, installations can fail if the subsystems involved have been registered to different security domain masters (even if they are clones)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Ade Lee 2010-06-07 16:12:36 UTC
Created attachment 421876 [details]
patch to fix

Patch to move sessions to ldap
awnuk, please review.

Comment 3 Andrew Wnuk 2010-06-09 00:05:46 UTC
attachment (id=421876) +awnuk

Please enable timers when they needed.

Comment 4 Ade Lee 2010-07-07 20:10:41 UTC
Checked into 8.1

[builder@goofy-vm4 base]$ svn ci -m "Bugzilla BZ 595391: security domain session table to be moved to ldap" 
Sending        base/ca/shared/conf/CS.cfg
Sending        base/ca/shared/conf/schema.ldif
Sending        base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
Sending        base/common/src/com/netscape/cms/servlet/csadmin/GetDomainXML.java
Adding         base/common/src/com/netscape/cms/servlet/csadmin/LDAPSecurityDomainSessionTable.java
Sending        base/common/src/com/netscape/cmscore/apps/CMSEngine.java
Sending        base/kra/shared/conf/schema.ldif
Sending        base/ocsp/shared/conf/schema.ldif
Sending        base/tks/shared/conf/schema.ldif
Transmitting file data .........
Committed revision 1124.

Checked into dogtag:
[builder@dhcp231-121 base]$ svn ci -m "Bugzilla BZ596391: session domain table to be moved to ldap"
Sending        base/ca/shared/conf/CS.cfg
Sending        base/ca/shared/conf/schema.ldif
Sending        base/common/src/com/netscape/cms/servlet/csadmin/DonePanel.java
Sending        base/common/src/com/netscape/cms/servlet/csadmin/GetDomainXML.java
Adding         base/common/src/com/netscape/cms/servlet/csadmin/LDAPSecurityDomainSessionTable.java
Sending        base/common/src/com/netscape/cmscore/apps/CMSEngine.java
Sending        base/kra/shared/conf/schema.ldif
Sending        base/ocsp/shared/conf/schema.ldif
Sending        base/tks/shared/conf/schema.ldif
Transmitting file data .........
Committed revision 1125.


Note You need to log in before you can comment on or make changes to this bug.